# Changelog

## [2.2.0 - 2025-12-03](/api/changelog/2.2.0.md)

### Implemented Features

* You can now request a simplified version of 8.SET and 8.SET Custom combined

[Go to detailed version description.](/api/changelog/2.2.0.md)

## [2.1.0 - 2025-09-04](/api/changelog/2.1.0.md)

### Implemented Features

* You will now get back more than 1 8.SET Custom set.

[Go to detailed version description.](/api/changelog/2.1.0.md)

## [2.0.0 - 2024-07-25](/api/changelog/2.0.0.md)

### Implemented Features

* You can now request any type of content via the API
* The schema completely changed
* You can now not only get the product id but also the properties like brand, name, prices etc.
  * To ensure that you show the most recent data you should still make an extra roundtrip to your own database and fetch the most recent data to render your UI

[Go to detailed version description.](/api/changelog/2.0.0.md)

## [1.0.1 - 2021-04-27](/api/changelog/1.0.1.md)

### Fixed Bugs

* An empty result is now empty, before it contained an edge with `null` values

[Go to detailed version description.](/api/changelog/1.0.1.md)

## 1.0.0 - 2021-03-12

### Implemented Features

* Initial release with support for 8.SET Compose


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8select.io/api/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
